faked(1)

NOME
faked - daemon que recorda as propriedades/permissões falsas dos ficheiros manipulados por processos do fakeroot.

SINOPSE
faked [--debug] [--foreground] [--cleanup] [--key chave-msg] [--load] [--save-file save-file] [--port porto-TCP]

DESCRIÇÃO
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

OPÇÕES

--debug
    Escreve informação de depuração no stderr

--foreground
    Não faz fork para segundo plano.

--cleanup number
    Limpa os semáforos.

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    Grava o ambiente no save-file ao terminar.

--load
    Carrega um ambiente previamente guardado a partir da entrada standard.

--unknown-is-real
    Usa a propriedade real de ficheiros previamente-desconhecidos em vez de os definir para root:root.

--port tcp-port
    Usa o porto TCP porto-tcp.

BUGS
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

COPIAR
fakeroot é distribuído sob a GNU General Public License. (GPL 2.0 ou superior).

AUTORES

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

TRADUTOR
Américo Monteiro <a_monteiro@gmx.com>

PÁGINA DE MANUAL
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

VEJA TAMBÉM
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG